## golang-github-aws-aws-sdk-go 0.9.9+dfsg

=== Makefile ===
LINTIGNOREDOT='internal/features.+should not use dot imports'
LINTIGNOREDOC='service/[^/]+/(api|service)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api_info                to print a list of services and versions"
	@echo "  build                   to go build the SDK"
	@echo "  deps                    to go get the SDK dependencies"
	@echo "  docs                    to build SDK documentation"
	@echo "  generate                to go generate and make services"
	@echo "  generate-protocol-test  to generate protocol tests"
	@echo "  integration             to run integration tests"
	@echo "  lint                    to lint the SDK"
	@echo "  services                to generate services"
	@echo "  unit                    to run unit tests"

default: generate

generate-protocol-test:
	go generate ./internal/protocol/...

generate-test: generate-protocol-test

generate:
	go generate ./internal/endpoints
	@make services

services:
	go generate ./service

integration: deps
	go test ./internal/test/integration/... -tags=integration
	gucumber ./internal/features/smoke

lint: deps
	@echo "golint ./..."
	@lint=`golint ./...`; \
	lint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOT} -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST}`; \
	echo "$$lint"; \
	if [ "$$lint" != "" ]; then exit 1; fi

unit: deps build lint
	go test ./...

build:
	go build ./...

docs:
	rm -rf doc && bundle install && bundle exec yard

deps:
	@go get ./...
	@go get github.com/lsegal/gucumber/cmd/gucumber
	@go get github.com/golang/lint/golint

api_info:
	@go run internal/model/cli/api-info/api-info.go

perf:
	@go test -bench . -benchmem -tags 'perf' ./internal/test/perf/...

=== debian/changelog ===
golang-github-aws-aws-sdk-go (0.9.9+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #798297).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 12:34:07 +1000

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang,
    golang-go,
#   golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-github-vaughan0-go-ini-dev,
    golang-golang-x-tools-dev
Standards-Version: 3.9.6
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-aws-aws-sdk-go.git

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-go,
#   golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-github-vaughan0-go-ini-dev,
    golang-golang-x-tools-dev
Built-Using: ${misc:Built-Using}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/aws/aws-sdk-go/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-aws-aws-sdk-go 1.0.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,10 @@
 Build-Depends: debhelper (>= 9),
     dh-golang,
     golang-go,
-#   golang-github-lsegal-gucumber-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-lsegal-gucumber-dev,
+    golang-github-smartystreets-goconvey-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-github-vaughan0-go-ini-dev,
     golang-golang-x-tools-dev
@@ -19,7 +22,10 @@
 Architecture: all
 Depends: ${misc:Depends},
     golang-go,
-#   golang-github-lsegal-gucumber-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-lsegal-gucumber-dev,
+    golang-github-smartystreets-goconvey-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-github-vaughan0-go-ini-dev,
     golang-golang-x-tools-dev

## golang-github-aws-aws-sdk-go 1.0.7+dfsg

=== Makefile ===
LINTIGNOREDOT='awstesting/integration.+should not use dot imports'
LINTIGNOREDOC='service/[^/]+/(api|service|waiters)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service|waiters)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'
LINTIGNORESTUTTER='service/[^/]+/(api|service)\.go:.+(and that stutters)'
LINTIGNOREINFLECT='service/[^/]+/(api|service)\.go:.+method .+ should be '
LINTIGNOREDEPS='vendor/.+\.go'

SDK_WITH_VENDOR_PKGS=$(shell go list ./... | grep -v "/vendor/src")
SDK_ONLY_PKGS=$(shell go list ./... | grep -v "/vendor/")

all: generate unit

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api_info                to print a list of services and versions"
	@echo "  docs                    to build SDK documentation"
	@echo "  build                   to go build the SDK"
	@echo "  unit                    to run unit tests"
	@echo "  integration             to run integration tests"
	@echo "  verify                  to verify tests"
	@echo "  lint                    to lint the SDK"
	@echo "  vet                     to vet the SDK"
	@echo "  generate                to go generate and make services"
	@echo "  gen-test                to generate protocol tests"
	@echo "  gen-services            to generate services"
	@echo "  get-deps                to go get the SDK dependencies"
	@echo "  get-deps-unit           to get the SDK's unit test dependencies"
	@echo "  get-deps-integ          to get the SDK's integration test dependencies"
	@echo "  get-deps-verify         to get the SDK's verification dependencies"

generate: gen-test gen-endpoints gen-services

gen-test: gen-protocol-test

gen-services:
	go generate ./service

gen-protocol-test:
	go generate ./private/protocol/...

gen-endpoints:
	go generate ./private/endpoints

build:
	@echo "go build SDK and vendor packages"
	@go build $(SDK_WITH_VENDOR_PKGS)

unit: get-deps-unit build verify
	@echo "go test SDK and vendor packages"
	@go test $(SDK_WITH_VENDOR_PKGS)

integration: get-deps-integ
	go test -tags=integration ./awstesting/integration/customizations/...
	gucumber ./awstesting/integration/smoke

verify: get-deps-verify lint vet

lint:
	@echo "go lint SDK and vendor packages"
	@lint=`golint ./...`; \
	lint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOT} -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS}`; \
	echo "$$lint"; \
	if [ "$$lint" != "" ]; then exit 1; fi

vet:
	go tool vet -all -shadow $(shell ls -d */ | grep -v vendor)

get-deps: get-deps-unit get-deps-integ get-deps-verify
	@echo "go get SDK dependencies"
	@go get -v $(SDK_ONLY_PKGS)

get-deps-unit:
	@echo "go get SDK unit testing dependancies"
	go get github.com/stretchr/testify
	go get github.com/smartystreets/goconvey

get-deps-integ: get-deps-unit
	@echo "go get SDK integration testing dependencies"
	go get github.com/lsegal/gucumber/cmd/gucumber

get-deps-verify:
	@echo "go get SDK verification utilities"
	go get github.com/golang/lint/golint

bench:
	@echo "go bench SDK packages"
	@go test -run NONE -bench . -benchmem -tags 'bench' $(SDK_ONLY_PKGS)

bench-protocol:
	@echo "go bench SDK protocol marshallers"
	@go test -run NONE -bench . -benchmem -tags 'bench' ./private/protocol/...

docs:
	@echo "generate SDK docs"
	rm -rf doc && bundle install && bundle exec yard

api_info:
	@go run private/model/cli/api-info/api-info.go

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * (Build-)Depends:
    + golang-github-go-ini-ini-dev
    + golang-github-jmespath-go-jmespath-dev
    + golang-github-lsegal-gucumber-dev
    + golang-github-smartystreets-goconvey-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Feb 2016 14:55:41 +1100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/aws/aws-sdk-go
#export DH_GOLANG_GO_GENERATE := 1
#export DH_GOLANG_INSTALL_ALL := 1

## Disable features to avoid dependency "github.com/lsegal/gucumber"
## which depends on "github.com/shiena/ansicolor".
export DH_GOLANG_EXCLUDES = internal/features

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

AWS_CREDENTIALS_PATH=aws/credentials
override_dh_auto_configure:
	dh_auto_configure
	## Install test data file for TestSharedCredentials/*
	cp -v $(AWS_CREDENTIALS_PATH)/example.ini _build/src/$(DH_GOPKG)/$(AWS_CREDENTIALS_PATH)/

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

## golang-github-aws-aws-sdk-go 1.1.14+dfsg

=== Makefile ===
LINTIGNOREDOT='awstesting/integration.+should not use dot imports'
LINTIGNOREDOC='service/[^/]+/(api|service|waiters)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service|waiters)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'
LINTIGNORESTUTTER='service/[^/]+/(api|service)\.go:.+(and that stutters)'
LINTIGNOREINFLECT='service/[^/]+/(api|service)\.go:.+method .+ should be '
LINTIGNOREINFLECTS3UPLOAD='service/s3/s3manager/upload\.go:.+struct field SSEKMSKeyId should be '
LINTIGNOREDEPS='vendor/.+\.go'

SDK_WITH_VENDOR_PKGS=$(shell go list ./... | grep -v "/vendor/src")
SDK_ONLY_PKGS=$(shell go list ./... | grep -v "/vendor/")
SDK_GO_1_4=$(shell go version | grep "go1.4")

all: get-deps generate unit

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api_info                to print a list of services and versions"
	@echo "  docs                    to build SDK documentation"
	@echo "  build                   to go build the SDK"
	@echo "  unit                    to run unit tests"
	@echo "  integration             to run integration tests"
	@echo "  performance             to run performance tests"
	@echo "  verify                  to verify tests"
	@echo "  lint                    to lint the SDK"
	@echo "  vet                     to vet the SDK"
	@echo "  generate                to go generate and make services"
	@echo "  gen-test                to generate protocol tests"
	@echo "  gen-services            to generate services"
	@echo "  get-deps                to go get the SDK dependencies"
	@echo "  get-deps-tests          to get the SDK's test dependencies"
	@echo "  get-deps-verify         to get the SDK's verification dependencies"

generate: gen-test gen-endpoints gen-services

gen-test: gen-protocol-test

gen-services:
	go generate ./service

gen-protocol-test:
	go generate ./private/protocol/...

gen-endpoints:
	go generate ./private/endpoints

build:
	@echo "go build SDK and vendor packages"
	@go build $(SDK_WITH_VENDOR_PKGS)

unit: get-deps-tests build verify
	@echo "go test SDK and vendor packages"
	@go test $(SDK_WITH_VENDOR_PKGS)

unit-with-race-cover: get-deps-tests build verify
	@echo "go test SDK and vendor packages"
	@go test -v -race -cpu=1,2,4 -covermode=atomic $(SDK_WITH_VENDOR_PKGS)

integration: get-deps-tests integ-custom smoke-tests performance

integ-custom:
	go test -tags=integration ./awstesting/integration/customizations/...

smoke-tests: get-deps-tests
	gucumber ./awstesting/integration/smoke

performance: get-deps-tests
	AWS_TESTING_LOG_RESULTS=${log-detailed} AWS_TESTING_REGION=$(region) AWS_TESTING_DB_TABLE=$(table) gucumber ./awstesting/performance

sandbox-tests:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.4 -t "aws-sdk-go-1.4" .
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.5 -t "aws-sdk-go-1.5" .
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.6 -t "aws-sdk-go-1.6" .
	docker run -t aws-sdk-go-1.4
	docker run -t aws-sdk-go-1.5
	docker run -t aws-sdk-go-1.6

verify: get-deps-verify lint vet

lint:
	@echo "go lint SDK and vendor packages"
	@lint=`if [ -z "${SDK_GO_1_4}" ]; then  golint ./...; else echo "skipped"; fi`; \
	lint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOT} -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS} -e ${LINTIGNOREINFLECTS3UPLOAD}`; \
	echo "$$lint"; \
	if [ "$$lint" != "" ] && [ "$$lint" != "skipped" ]; then exit 1; fi

vet:
	go tool vet -all -shadow $(shell if go version | grep -v 1.5 | grep -v 1.4 >> /dev/null; then echo "-example=false" | tr -d '\n'; fi) $(shell ls -d */ | grep -v vendor | grep -v awsmigrate)

get-deps: get-deps-tests get-deps-verify
	@echo "go get SDK dependencies"
	@go get -v $(SDK_ONLY_PKGS)

get-deps-tests:
	@echo "go get SDK testing dependencies"
	go get github.com/lsegal/gucumber/cmd/gucumber
	go get github.com/stretchr/testify
	go get github.com/smartystreets/goconvey

get-deps-verify:
	@echo "go get SDK verification utilities"
	@if [ -z "${SDK_GO_1_4}" ]; then  go get github.com/golang/lint/golint; else echo "skipped getting golint"; fi
	go get golang.org/x/tools/cmd/vet

bench:
	@echo "go bench SDK packages"
	@go test -run NONE -bench . -benchmem -tags 'bench' $(SDK_ONLY_PKGS)

bench-protocol:
	@echo "go bench SDK protocol marshallers"
	@go test -run NONE -bench . -benchmem -tags 'bench' ./private/protocol/...

docs:
	@echo "generate SDK docs"
	rm -rf doc && bundle install && bundle exec yard
	# This env variable, DOCS, is for internal use
	if [ -n $(AWS_DOC_GEN_TOOL) ]; then echo "For internal use. Subject to change."; $(AWS_DOC_GEN_TOOL) `pwd`; fi

api_info:
	@go run private/model/cli/api-info/api-info.go

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.1.14+dfsg-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * debian/control: Cull unneeded dependencies.
  * debian/rules: Remove now unneeded exclude.
  * Packaging refresh:
    - Updated Standards-Version (no changes).
    - Use new dh-golang features.
    - Use golang-any.
    - Remove more unneeded dependencies and Built-Using.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Sep 2016 17:46:34 +0100

golang-github-aws-aws-sdk-go (1.1.14+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016] (Closes: #819215, #817790).
  * rules: less aggressive build with GOMAXPROCS=1.
  * Standards-Version: 3.9.7.
  * (Build-)Depends:
    - golang-golang-x-tools-dev
    + golang-golang-x-tools-dev (>= 1:0.0~git20160315~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 25 Mar 2016 23:31:17 +1100

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang (>= 1.17~),
    golang-any,
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-tools-dev (>= 1:0.0~git20160315~)
Standards-Version: 3.9.8
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-lsegal-gucumber-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-tools-dev (>= 1:0.0~git20160315~)
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS=1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-github-aws-aws-sdk-go 1.4.22+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,14 @@
 LINTIGNOREINFLECT='service/[^/]+/(api|service)\.go:.+method .+ should be '
 LINTIGNOREINFLECTS3UPLOAD='service/s3/s3manager/upload\.go:.+struct field SSEKMSKeyId should be '
 LINTIGNOREDEPS='vendor/.+\.go'
+UNIT_TEST_TAGS="example codegen"
 
-SDK_WITH_VENDOR_PKGS=$(shell go list ./... | grep -v "/vendor/src")
+SDK_WITH_VENDOR_PKGS=$(shell go list -tags ${UNIT_TEST_TAGS} ./... | grep -v "/vendor/src")
 SDK_ONLY_PKGS=$(shell go list ./... | grep -v "/vendor/")
+SDK_UNIT_TEST_ONLY_PKGS=$(shell go list -tags ${UNIT_TEST_TAGS} ./... | grep -v "/vendor/")
 SDK_GO_1_4=$(shell go version | grep "go1.4")
+SDK_GO_1_5=$(shell go version | grep "go1.5")
+SDK_GO_VERSION=$(shell go version | awk '''{print $$3}''' | tr -d '''\n''')
 
 all: get-deps generate unit
 
@@ -45,46 +49,77 @@
 
 build:
 	@echo "go build SDK and vendor packages"
-	@go build $(SDK_WITH_VENDOR_PKGS)
+	@go build ${SDK_ONLY_PKGS}
 
 unit: get-deps-tests build verify
 	@echo "go test SDK and vendor packages"
-	@go test $(SDK_WITH_VENDOR_PKGS)
+	@go test -tags ${UNIT_TEST_TAGS} $(SDK_UNIT_TEST_ONLY_PKGS)
 
 unit-with-race-cover: get-deps-tests build verify
 	@echo "go test SDK and vendor packages"
-	@go test -v -race -cpu=1,2,4 -covermode=atomic $(SDK_WITH_VENDOR_PKGS)
+	@go test -tags ${UNIT_TEST_TAGS} -race -cpu=1,2,4 $(SDK_UNIT_TEST_ONLY_PKGS)
 
 integration: get-deps-tests integ-custom smoke-tests performance
 
 integ-custom:
-	go test -tags=integration ./awstesting/integration/customizations/...
+	go test -tags "integration" ./awstesting/integration/customizations/...
 
 smoke-tests: get-deps-tests
-	gucumber ./awstesting/integration/smoke
+	gucumber -go-tags "integration" ./awstesting/integration/smoke
 
 performance: get-deps-tests
-	AWS_TESTING_LOG_RESULTS=${log-detailed} AWS_TESTING_REGION=$(region) AWS_TESTING_DB_TABLE=$(table) gucumber ./awstesting/performance
+	AWS_TESTING_LOG_RESULTS=${log-detailed} AWS_TESTING_REGION=$(region) AWS_TESTING_DB_TABLE=$(table) gucumber -go-tags "integration" ./awstesting/performance
 
-sandbox-tests:
+sandbox-tests: sandbox-test-go14 sandbox-test-go15 sandbox-test-go15-novendorexp sandbox-test-go16 sandbox-test-go17 sandbox-test-gotip
+
+sandbox-test-go14:
 	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.4 -t "aws-sdk-go-1.4" .
+	docker run -t aws-sdk-go-1.4
+
+sandbox-test-go15:
 	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.5 -t "aws-sdk-go-1.5" .
+	docker run -t aws-sdk-go-1.5
+
+sandbox-test-go15-novendorexp:
+	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.5-novendorexp -t "aws-sdk-go-1.5-novendorexp" .
+	docker run -t aws-sdk-go-1.5-novendorexp
+
+sandbox-test-go16:
 	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.6 -t "aws-sdk-go-1.6" .
-	docker run -t aws-sdk-go-1.4
-	docker run -t aws-sdk-go-1.5
 	docker run -t aws-sdk-go-1.6
+
+sandbox-test-go17:
+	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.7 -t "aws-sdk-go-1.7" .
+	docker run -t aws-sdk-go-1.7
+
+sandbox-test-gotip:
+	@echo "Run make update-aws-golang-tip, if this test fails because missing aws-golang:tip container"
+	docker build -f ./awstesting/sandbox/Dockerfile.test.gotip -t "aws-sdk-go-tip" .
+	docker run -t aws-sdk-go-tip
+
+update-aws-golang-tip:
+	docker build -f ./awstesting/sandbox/Dockerfile.golang-tip -t "aws-golang:tip" .
 
 verify: get-deps-verify lint vet
 
 lint:
 	@echo "go lint SDK and vendor packages"
-	@lint=`if [ -z "${SDK_GO_1_4}" ]; then  golint ./...; else echo "skipped"; fi`; \
+	@lint=`if [ \( -z "${SDK_GO_1_4}" \) -a \( -z "${SDK_GO_1_5}" \) ]; then  golint ./...; else echo "skipping golint"; fi`; \
 	lint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOT} -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS} -e ${LINTIGNOREINFLECTS3UPLOAD}`; \
 	echo "$$lint"; \
-	if [ "$$lint" != "" ] && [ "$$lint" != "skipped" ]; then exit 1; fi
+	if [ "$$lint" != "" ] && [ "$$lint" != "skipping golint" ]; then exit 1; fi
+
+SDK_BASE_FOLDERS=$(shell ls -d */ | grep -v vendor | grep -v awsmigrate)
+ifneq (,$(findstring go1.4, ${SDK_GO_VERSION}))
+	GO_VET_CMD=echo skipping go vet, ${SDK_GO_VERSION}
+else ifneq (,$(findstring go1.6, ${SDK_GO_VERSION}))
+	GO_VET_CMD=go tool vet --all -shadow -example=false
+else
+	GO_VET_CMD=go tool vet --all -shadow
+endif
 
 vet:
-	go tool vet -all -shadow $(shell if go version | grep -v 1.5 | grep -v 1.4 >> /dev/null; then echo "-example=false" | tr -d '\n'; fi) $(shell ls -d */ | grep -v vendor | grep -v awsmigrate)
+	${GO_VET_CMD} ${SDK_BASE_FOLDERS}
 
 get-deps: get-deps-tests get-deps-verify
 	@echo "go get SDK dependencies"
@@ -92,14 +127,14 @@
 
 get-deps-tests:
 	@echo "go get SDK testing dependencies"
-	go get github.com/lsegal/gucumber/cmd/gucumber
+	go get github.com/gucumber/gucumber/cmd/gucumber
 	go get github.com/stretchr/testify
 	go get github.com/smartystreets/goconvey
+	go get golang.org/x/net/html
 
 get-deps-verify:
 	@echo "go get SDK verification utilities"
-	@if [ -z "${SDK_GO_1_4}" ]; then  go get github.com/golang/lint/golint; else echo "skipped getting golint"; fi
-	go get golang.org/x/tools/cmd/vet
+	@if [ \( -z "${SDK_GO_1_4}" \) -a \( -z "${SDK_GO_1_5}" \) ]; then  go get github.com/golang/lint/golint; else echo "skipped getting golint"; fi
 
 bench:
 	@echo "go bench SDK packages"
@@ -111,9 +146,12 @@
 
 docs:
 	@echo "generate SDK docs"
-	rm -rf doc && bundle install && bundle exec yard
-	# This env variable, DOCS, is for internal use
-	if [ -n $(AWS_DOC_GEN_TOOL) ]; then echo "For internal use. Subject to change."; $(AWS_DOC_GEN_TOOL) `pwd`; fi
+	@# This env variable, DOCS, is for internal use
+	@if [ -z ${AWS_DOC_GEN_TOOL} ]; then\
+		rm -rf doc && bundle install && bundle exec yard;\
+	else\
+		$(AWS_DOC_GEN_TOOL) `pwd`;\
+	fi
 
 api_info:
 	@go run private/model/cli/api-info/api-info.go

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.4.22+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Thu, 02 Nov 2017 23:00:02 +0000

golang-github-aws-aws-sdk-go (1.4.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New release (Closes: #869800).
  * d/control:
    + Bump to 4.0.0 standard version (No change needed).
    + Bump debhelper to 10.
    + Fix pkg-go team's full name.
    + Add myself to uploaders.
    + Remove test dependency for dev package.
    + Remove unnecessary build dependencies.
    + Add autopkgtest-pkg-go.
  * Bump to compat 10.

 -- Shengjing Zhu <i@zhsj.me>  Mon, 07 Aug 2017 02:25:37 +0800

golang-github-aws-aws-sdk-go (1.1.14+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.
  * Add me to uploaders.

  [ Martín Ferrari ]
  * Add myself to Uploaders.

 -- Martín Ferrari <tincho@debian.org>  Fri, 17 Feb 2017 04:45:47 +0000

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
    dh-golang (>= 1.17~),
    golang-any,
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
Standards-Version: 4.0.0
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-aws-aws-sdk-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-go-ini-ini-dev,
    golang-github-jmespath-go-jmespath-dev,
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

## golang-github-aws-aws-sdk-go 1.12.79+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.12.79+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau <aviau@debian.org> ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * New upstream release.
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Apr 2018 00:08:39 +1000

golang-github-aws-aws-sdk-go (1.8.44+dfsg-1) UNRELEASED; urgency=medium

  * New release (Closes: #875653).
  * d/copyright: update missed copyright.
  * Add golang-golang-x-net-dev to Build-Depends, new test depends.
  * Update Standards-Version to 4.1.0
    + Change Priority to optional.
  * doc-src/aws-godoc/templates/godoc.html has same problem with
    doc-src/plugin/templates/default/layout/html/footer.erb,
    so exclude it from orig tarball, and add the dfsg version in
    patch form.

 -- Shengjing Zhu <i@zhsj.me>  Sat, 16 Sep 2017 01:32:02 +0800

## golang-github-aws-aws-sdk-go 1.16.18%2Bdfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.16.18+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #918413).

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 13 Jan 2019 12:33:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS=1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini aws/session/testdata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-github-aws-aws-sdk-go 1.16.18+dfsg

=== Makefile ===
LINTIGNOREDOC='service/[^/]+/(api|service|waiters)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service|waiters)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'
LINTIGNORESTUTTER='service/[^/]+/(api|service)\.go:.+(and that stutters)'
LINTIGNOREINFLECT='service/[^/]+/(api|errors|service)\.go:.+(method|const) .+ should be '
LINTIGNOREINFLECTS3UPLOAD='service/s3/s3manager/upload\.go:.+struct field SSEKMSKeyId should be '
LINTIGNOREENDPOINTS='aws/endpoints/(defaults|dep_service_ids).go:.+(method|const) .+ should be '
LINTIGNOREDEPS='vendor/.+\.go'
LINTIGNOREPKGCOMMENT='service/[^/]+/doc_custom.go:.+package comment should be of the form'
UNIT_TEST_TAGS="example codegen awsinclude"

# SDK's Core and client packages that are compatable with Go 1.5+.
SDK_CORE_PKGS=./aws/... ./private/... ./internal/...
SDK_CLIENT_PKGS=./service/...
SDK_COMPA_PKGS=${SDK_CORE_PKGS} ${SDK_CLIENT_PKGS}

# SDK additional packages that are used for development of the SDK.
SDK_EXAMPLES_PKGS=./examples/...
SDK_TESTING_PKGS=./awstesting/...
SDK_MODELS_PKGS=./models/...
SDK_ALL_PKGS=${SDK_COMPA_PKGS} ${SDK_TESTING_PKGS} ${SDK_EXAMPLES_PKGS} ${SDK_MODELS_PKGS}

all: generate unit

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api_info                to print a list of services and versions"
	@echo "  docs                    to build SDK documentation"
	@echo "  unit                    to run unit tests"
	@echo "  integration             to run integration tests"
	@echo "  performance             to run performance tests"
	@echo "  verify                  to verify tests"
	@echo "  lint                    to lint the SDK"
	@echo "  vet                     to vet the SDK"
	@echo "  generate                to go generate and make services"
	@echo "  gen-test                to generate protocol tests"
	@echo "  gen-services            to generate services"
	@echo "  get-deps                to go get the SDK dependencies"

###################
# Code Generation #
###################
generate: cleanup-models gen-test gen-endpoints gen-services

gen-test: gen-protocol-test gen-codegen-test

gen-codegen-test: get-deps-codegen
	@echo "Generating SDK API tests"
	go generate ./private/model/api/codegentest/service

gen-services: get-deps-codegen
	@echo "Generating SDK clients"
	go generate ./service

gen-protocol-test: get-deps-codegen
	@echo "Generating SDK protocol tests"
	go generate ./private/protocol/...

gen-endpoints: get-deps-codegen
	@echo "Generating SDK endpoints"
	go generate ./models/endpoints/

cleanup-models: get-deps-codegen
	@echo "Cleaning up stale model versions"
	go run -tags codegen ./private/model/cli/cleanup-models/* "./models/apis/*/*/api-2.json"

###################
# Unit/CI Testing #
###################
unit: get-deps verify
	@echo "go test SDK and vendor packages"
	go test -tags ${UNIT_TEST_TAGS} ${SDK_ALL_PKGS}

unit-with-race-cover: get-deps verify
	@echo "go test SDK and vendor packages"
	go test -tags ${UNIT_TEST_TAGS} -race -cpu=1,2,4 ${SDK_ALL_PKGS}

unit-old-go-race-cover: get-deps-tests
	@echo "go test SDK only packages for old Go versions"
	go test -race -cpu=1,2,4 ${SDK_COMPA_PKGS}

ci-test: generate unit-with-race-cover ci-test-generate-validate

ci-test-generate-validate:
	@echo "CI test validate no generated code changes"
	git add . -A
	gitstatus=`git diff --cached --ignore-space-change`; \
	echo "$$gitstatus"; \
	if [ "$$gitstatus" != "" ] && [ "$$gitstatus" != "skipping validation" ]; then echo "$$gitstatus"; exit 1; fi

#######################
# Integration Testing #
#######################
integration: core-integ client-integ

core-integ:
	@echo "Integration Testing SDK core"
	AWS_REGION="" go test -count=1 -tags "integration" -v -run '^TestInteg_' ./aws/... ./private/... ./internal/... ./awstesting/...

client-integ:
	@echo "Integration Testing SDK clients"
	AWS_REGION="" go test -count=1 -tags "integration" -v -run '^TestInteg_' ./service/...

s3crypto-integ:
	@echo "Integration Testing S3 Cyrpto utility"
	AWS_REGION="" go test -count=1 -tags "s3crypto_integ integration" -v -run '^TestInteg_' ./service/s3/s3crypto

cleanup-integ-buckets:
	@echo "Cleaning up SDK integraiton resources"
	go run -tags "integration" ./awstesting/cmd/bucket_cleanup/main.go "aws-sdk-go-integration"

###################
# Sandbox Testing #
###################
sandbox-tests: sandbox-test-go15 sandbox-test-go16 sandbox-test-go17 sandbox-test-go18 sandbox-test-go19 sandbox-test-go110 sandbox-test-go111 sandbox-test-gotip

sandbox-build-go15:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.5 -t "aws-sdk-go-1.5" .
sandbox-go15: sandbox-build-go15
	docker run -i -t aws-sdk-go-1.5 bash
sandbox-test-go15: sandbox-build-go15
	docker run -t aws-sdk-go-1.5

sandbox-build-go15-novendorexp:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.5-novendorexp -t "aws-sdk-go-1.5-novendorexp" .
sandbox-go15-novendorexp: sandbox-build-go15-novendorexp
	docker run -i -t aws-sdk-go-1.5-novendorexp bash
sandbox-test-go15-novendorexp: sandbox-build-go15-novendorexp
	docker run -t aws-sdk-go-1.5-novendorexp

sandbox-build-go16:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.6 -t "aws-sdk-go-1.6" .
sandbox-go16: sandbox-build-go16
	docker run -i -t aws-sdk-go-1.6 bash
sandbox-test-go16: sandbox-build-go16
	docker run -t aws-sdk-go-1.6

sandbox-build-go17:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.7 -t "aws-sdk-go-1.7" .
sandbox-go17: sandbox-build-go17
	docker run -i -t aws-sdk-go-1.7 bash
sandbox-test-go17: sandbox-build-go17
	docker run -t aws-sdk-go-1.7

sandbox-build-go18:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.8 -t "aws-sdk-go-1.8" .
sandbox-go18: sandbox-build-go18
	docker run -i -t aws-sdk-go-1.8 bash
sandbox-test-go18: sandbox-build-go18
	docker run -t aws-sdk-go-1.8

sandbox-build-go19:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.9 -t "aws-sdk-go-1.9" .
sandbox-go19: sandbox-build-go19
	docker run -i -t aws-sdk-go-1.9 bash
sandbox-test-go19: sandbox-build-go19
	docker run -t aws-sdk-go-1.9

sandbox-build-go110:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.10 -t "aws-sdk-go-1.10" .
sandbox-go110: sandbox-build-go110
	docker run -i -t aws-sdk-go-1.10 bash
sandbox-test-go110: sandbox-build-go110
	docker run -t aws-sdk-go-1.10

sandbox-build-go111:
	docker build -f ./awstesting/sandbox/Dockerfile.test.go1.11 -t "aws-sdk-go-1.11" .
sandbox-go111: sandbox-build-go111
	docker run -i -t aws-sdk-go-1.11 bash
sandbox-test-go111: sandbox-build-go111
	docker run -t aws-sdk-go-1.11

sandbox-build-gotip:
	@echo "Run make update-aws-golang-tip, if this test fails because missing aws-golang:tip container"
	docker build -f ./awstesting/sandbox/Dockerfile.test.gotip -t "aws-sdk-go-tip" .
sandbox-gotip: sandbox-build-gotip
	docker run -i -t aws-sdk-go-tip bash
sandbox-test-gotip: sandbox-build-gotip
	docker run -t aws-sdk-go-tip

update-aws-golang-tip:
	docker build --no-cache=true -f ./awstesting/sandbox/Dockerfile.golang-tip -t "aws-golang:tip" .

##################
# Linting/Verify #
##################
verify: get-deps-verify lint vet

lint:
	@echo "go lint SDK and vendor packages"
	@lint=`golint ./...`; \
	dolint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS} -e ${LINTIGNOREINFLECTS3UPLOAD} -e ${LINTIGNOREPKGCOMMENT} -e ${LINTIGNOREENDPOINTS}`; \
	echo "$$dolint"; \
	if [ "$$dolint" != "" ]; then exit 1; fi

vet:
	go vet -tags "example codegen awsinclude integration" --all ${SDK_ALL_PKGS}

################
# Dependencies #
################
get-deps: get-deps-tests get-deps-x-tests get-deps-codegen get-deps-verify

get-deps-tests:
	@echo "go get SDK testing dependencies"
	go get github.com/stretchr/testify

get-deps-x-tests:
	@echo "go get SDK testing golang.org/x dependencies"
	go get golang.org/x/net/http2

get-deps-codegen: get-deps-x-tests
	@echo "go get SDK codegen dependencies"
	go get golang.org/x/net/html

get-deps-verify:
	@echo "go get SDK verification utilities"
	go get golang.org/x/lint/golint

bench:
	@echo "go bench SDK packages"
	go test -run NONE -bench . -benchmem -tags 'bench' ${SDK_ALL_PKGS}

bench-protocol:
	@echo "go bench SDK protocol marshallers"
	go test -run NONE -bench . -benchmem -tags 'bench' ./private/protocol/...

#############
# Utilities #
#############
docs:
	@echo "generate SDK docs"
	$(AWS_DOC_GEN_TOOL) `pwd`

api_info:
	@go run private/model/cli/api-info/api-info.go

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>,
Build-Depends: debhelper (>= 11~),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-go-ini-ini-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-github-stretchr-testify-dev | golang-testify-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/aws/aws-sdk-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
XS-Go-Import-Path: github.com/aws/aws-sdk-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-go-ini-ini-dev,
         golang-github-jmespath-go-jmespath-dev,
         ${misc:Depends},
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,11 @@
 # uscan(1) configuration file.
 version=3
+
+#opts=\
+#repacksuffix=+dfsg,\
+#dversionmangle=s{\+dfsg\d*}{},\
+# https://github.com/aws/aws-sdk-go/releases?after=v1.0.2 \
+# .*/archive/v?(\d[\d\.]+)\.tar\.gz
 
 opts=\
 repacksuffix=+dfsg,\

## golang-github-aws-aws-sdk-go 1.21.6+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.21.6+dfsg-2) unstable; urgency=medium

  * Fix test failures on 32-bit platforms detected by Ubuntu autopkgtest:
    - aws/csm: Fix int64 alignment of metricChan on 386 and arm
    - service/ec2: Fix int overflow in minTime on 386 and arm
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Remove alternative Build-Depends on golang-testify-dev
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Mon, 26 Aug 2019 05:29:37 -0600

golang-github-aws-aws-sdk-go (1.21.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Maintainer email address to team+pkg-go@tracker.debian.org.
  * Bump Standards-Version to 4.4.0 (no change).
  * Replace "MIT" with "Expat" as license short name in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Jul 2019 08:17:42 -0600

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-go-ini-ini-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-go-ini-ini-dev,
         golang-github-jmespath-go-jmespath-dev,
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

## golang-github-aws-aws-sdk-go 1.27.4+dfsg

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.27.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.27.4
  * Update debian/watch to version=4 and add filenamemangle option
  * Update debian/copyright as upstream has removed doc-src/*
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)
  * Build-Depends: dh-golang (>= 1.31~) and simplify debian/rules
  * Remove dependency on golang-github-go-ini-ini-dev and
    golang-github-stretchr-testify-dev as per upstream
  * Remove 32-bit fixes which have been applied upstream:
    - 0003-fix-int64-alignment-on-32-bit-platforms.patch
    - 0004-fix-int-overflow-on-32-bit-platforms.patch

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 01:18:38 -0700

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <i@zhsj.me>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-jmespath-go-jmespath-dev,
               golang-golang-x-net-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-jmespath-go-jmespath-dev,
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/watch ===
# uscan(1) configuration file.
version=4

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
#repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{}" \
#    https://github.com/aws/aws-sdk-go/releases?after=v1.28.0 \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{}" \
    https://github.com/aws/aws-sdk-go/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-github-aws-aws-sdk-go 1.35.0

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.35.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 09 Dec 2020 13:58:49 -0700

golang-github-aws-aws-sdk-go (1.35.0-1) unstable; urgency=medium

  * New upstream version 1.35.0
  * debian/gbp.conf: Disable overlay and custom export-dir etc.,
    and set debian-branch to debian/sid for DEP-14 conformance
  * Bump dependency: golang-github-jmespath-go-jmespath-dev (>= 0.4.0)

 -- Anthony Fok <foka@debian.org>  Thu, 22 Oct 2020 15:10:03 -0600

golang-github-aws-aws-sdk-go (1.34.22-1) unstable; urgency=medium

  * New upstream version 1.34.22
  * Update dependencies according to go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * debian/copyright: Remove the now unneeded Files-Excluded field

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 01:53:10 -0600

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
-               golang-github-jmespath-go-jmespath-dev,
-               golang-golang-x-net-dev
+               golang-github-go-sql-driver-mysql-dev (>= 1.5.0),
+               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
+               golang-github-pkg-errors-dev (>= 0.9.1),
+               golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -21,7 +23,10 @@
 
 Package: golang-github-aws-aws-sdk-go-dev
 Architecture: all
-Depends: golang-github-jmespath-go-jmespath-dev,
+Depends: golang-github-go-sql-driver-mysql-dev (>= 1.5.0),
+         golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
+         golang-github-pkg-errors-dev (>= 0.9.1),
+         golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{}" \
    https://github.com/aws/aws-sdk-go/releases?after=v1.35.1 \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-aws-aws-sdk-go-$1.tar.gz%,\
#repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{}" \
#    https://github.com/aws/aws-sdk-go/releases \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-github-aws-aws-sdk-go 1.36.15

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.36.15-1) unstable; urgency=medium

  * New upstream version 1.36.15
  * Drop repack suffix
  * Update section to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * No longer needs golang-github-go-sql-driver-mysql-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 02:17:48 +0800

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
           Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
               golang-github-pkg-errors-dev (>= 0.9.1),
               golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
         golang-github-pkg-errors-dev (>= 0.9.1),
         golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc),
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/aws/aws-sdk-go \
  refs/tags/v?@ANY_VERSION@ debian

## golang-github-aws-aws-sdk-go 1.36.33

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.36.33-1) unstable; urgency=medium

  * New upstream version 1.36.33
  * debian/watch: Try to fetch supposedly pristine gzip-compressed tarball
  * Bump versioned dependency on golang-golang-x-net-dev as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 15:28:02 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-any,
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
                golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc)
+               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20200226.491c5fc),
+         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS := 1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
#opts="mode=git, pgpmode=none" \
# https://github.com/aws/aws-sdk-go \
#  refs/tags/v?@ANY_VERSION@ debian

# To fetch the supposedly pristine gzip-compressed tarball:
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/aws/aws-sdk-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
